%global momorel 1
%global qtver 3.3.7
%global qtdir %{_libdir}/qt-%{qtver}

Summary: A complete ODBC driver manager for Linux
Name: unixODBC
Version: 2.2.12
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.unixODBC.org/

Source: http://www.unixODBC.org/%{name}-%{version}.tar.gz
Source1: odbcinst.ini
Source2: ODBCConfig.desktop
Source3: DataManager.desktop
Patch1: depcomp.patch
Patch4: parserupdate.patch
Patch5: nortldglobal.patch
Patch6: unixODBC-2.2.11-stricmp.patch

Conflicts: iodbc
BuildPrereq: libX11-devel libXt-devel libXext-devel
BuildPrereq: kdelibs-devel qt-devel libmng-devel readline-devel
BuildPrereq: automake autoconf libtool
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%ifarch x86_64 ppc64 ia64 sparc64
Provides: libodbc.so()(64bit) libodbcinst.so()(64bit)
%else
Provides: libodbc.so libodbcinst.so
%endif

%description
Install unixODBC if you want to access databases through ODBC.  This
package includes low-level drivers for MySQL, PostgreSQL, and local files.
However, the included drivers are not as up-to-date as the ones distributed
separately.  It is recommended that you install and use the MyODBC package
if you need a driver for MySQL, and/or the postgresql-odbc package for
PostgreSQL.

%package devel
Summary: Development files for programs which will use the unixODBC library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The unixODBC package can be used to access databases through ODBC
drivers. If you want to develop programs that will access data through
ODBC, you need to install this package.

%package kde
Summary: KDE driver manager components for ODBC
Group: System Environment/Libraries
Requires: qt >= 2.1  %{name} = %{version}-%{release}

%description kde
This package contains components for the ODBCConfig and DataManager
(KDE) components of unixODBC.

%prep
%setup -q
%patch1 -p1
%patch4 -p1
%patch6 -p1

# 2.2.8 includes a libtool that is too old for some of our architectures.
# Blow it away and replace with build system's libtool.  (We intend to use
# the installed libtool anyway, but this makes sure they match.)
rm -rf config.guess config.sub ltmain.sh libltdl
cp -r /usr/share/libtool/* .

# Use newer install-sh and mkinstalldirs, too
if [ -f libltdl/install-sh ]; then
  cp -f libltdl/install-sh .
fi
if [ -f libltdl/mkinstalldirs ]; then
  cp -f libltdl/mkinstalldirs .
fi

# libltdl patch has to be applied after the above
%patch5 -p1

%build
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)

autoreconf -fiv
pushd libltdl
autoreconf -fiv
popd

%configure  \
    --with-gnu-ld=yes  \
    --enable-threads=yes \
    --enable-gui=yes \
    --enable-static=yes \
    --enable-drivers \
    --with-qt-dir="%{qtdir}" \
    --with-qt-includes="%{qtdir}/include" \
    --with-qt-libraries="%{qtdir}/lib"
make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications/kde
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps

%makeinstall
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/applications/kde/
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/applications/kde/
cp DataManagerII/LinuxODBC.xpm %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
cp DataManagerII/ODBC.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/odbc.xpm

# copy text driver documentation into main doc directory
mkdir -p doc/Drivers/txt
cp -pr Drivers/txt/doc/* doc/Drivers/txt

# don't want to install doc Makefiles as docs
find doc -name 'Makefile*' | xargs rm

# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/libltdl.*
rm -rf %{buildroot}%{_datadir}libtool

find %{buildroot}/%{_libdir} -name "*.so.*" |sed "s|%{buildroot}||" |grep  -i -v libodbcinstQ > foo-list
find %{buildroot}/%{_libdir} -name "*.so" |sed "s|%{buildroot}||" |grep  -i -v libodbcinstQ |grep  -v -E "libodbc.so$" |grep  -v -E "libodbcpsqlS?.so$" |grep  -v -E "libodbcmyS.so$" > foo-list2

# move to main package, it's often dlopened...
echo "%{_libdir}/libodbc.so" >> foo-list
echo "%{_libdir}/libodbcpsql.so" >> foo-list
echo "%{_libdir}/libodbcpsqlS.so" >> foo-list
echo "%{_libdir}/libodbcmyS.so" >> foo-list

%clean
rm -rf %{buildroot}

%files -f foo-list
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS INSTALL doc
%config(noreplace) %{_sysconfdir}/odbc*
# %%{_libdir}/*so.*
%{_bindir}/odbcinst
%{_bindir}/isql
%{_bindir}/dltest
%{_bindir}/iusql
%{_bindir}/odbc_config
# %%{_bindir}/odbctest
# %%{_libdir}/libodbcinstQ*

%files devel -f foo-list2
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a

%files kde
%defattr(-,root,root)
%{_bindir}/ODBCConfig
%{_bindir}/DataManager
%{_bindir}/DataManagerII
%{_bindir}/odbctest
%{_libdir}/libodbcinstQ*so
%{_libdir}/libodbcinstQ*so.*
%{_datadir}/applications/kde/ODBCConfig.desktop
%{_datadir}/applications/kde/DataManager.desktop
%{_datadir}/icons/hicolor/32x32/apps/LinuxODBC.xpm
%{_datadir}/icons/hicolor/16x16/apps/odbc.xpm

%post kde -p /sbin/ldconfig
%postun kde -p /sbin/ldconfig

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.12-1m)
- update to 2.2.12
- remove unixODBC-config.patch, unixODBC-2.2.11-symbols.patch
- cleanup spec

* Sat Oct 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.11-5m)
- specify automake version 1.9

* Sun Jul 16 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.11-4m)
- modify spec for 64bit arch

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.11-3m)
- update desktop files of unixODBC-kde

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.11-2m)
- import patch from fc
- rebuild against readline
- Provides: libodbc.so libodbcinst.so

* Mon May 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.2.11-1m)
- update to 2.2.11

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.2.9-1m)
- version up. a lot of fixes.

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.5-5m)
- rebuild against ncurses 5.3.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.5-4m)
- revised spec for rpm 4.2.

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
- fix specopt(thanks Ichiro Nakai<i-nakai__at__gw2.gateway.ne.jp>)
- clean up

* Wed Mar 19 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.5-2m)
- add specopt build_kdetool that choose build kdetool

* Sat Mar  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.5-1m)
- version 2.2.5

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.7-22k)
- rebuild against libpng 1.2.2.

* Mon Mar 25 2002 Toru Hoshina <t@kondara.org>
- (2.0.7-20k)
- rebuild against qt2 2.3.1 :-P

* Tue Nov 28 2001 Toru Hoshina <t@kondara.org>
- (2.0.7-18k)
- rebuild against qt 2.3.2.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.0.7-16k)
- rebuild against libpng 1.2.0.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-2k)
- rebuild against KDE 2.2, Qt-2.3.1, version up.

* Sun Aug 13 2001 Toru Hoshina <toru@df-usa.com>
- (1.8.13-14k)
- rebuild against qt-2.3.1.

* Wed Apr 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.8.13-10k)
- add %defattr to kde %files section

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (1.8.13-8k)
- add new package unixODBC-kde, including DataManager and ODBCConfig.

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.8.13-6k)
- rebuild against qt-2.3.0.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [1.8.13-5k]
- rebuild against qt-2.2.3.

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- update to 1.8.13.
- change new create unixODBC-devel package.

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jan 30 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Tue Jan 11 2000 ichiyama ryoichi <ichiyama@jc4.so-net.ne.jp>
- Upgrade to 1.8.3 and install Documents

* Wed Dec 1 1999 ShigeYuki TAKANO <j@kondara.org>
- add install.patch

* Sun Nov 28 1999 ShigeYuki TAKANO <j@kondara.org>
- Upgrade to 1.8.1

* Sat Oct 2 1999 ichiyama ryoichi <ichiyama@jc4.so-net.ne.jp>
- Append "%defattr" description.
